Bug 1102856

Summary: ldc bundles zlib
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: ldcAssignee: MERCIER Jonathan <bioinfornatics>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: bioinfornatics, i, klember
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ldc-1.1.0-0.1.beta3.fc26 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-01 10:14:02 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 504493    

Description Ville Skyttä 2014-05-29 13:17:40 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

Sources in runtime/phobos/etc/c/zlib end up being compiled and are present also in -debuginfo.
Comment 1 Fedora Admin XMLRPC Client 2015-02-16 22:17:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jaroslav Reznik 2015-03-03 10:51:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora Update System 2015-09-20 16:27:18 EDT
derelict-3-33.20150730git10a517b.fc23 gtkd-3.1.4-52.fc23 dustmite-1-25.20150515git3498068.fc23 ldc-0.16.0.alpha3-76.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16259
Comment 4 Ville Skyttä 2015-09-20 17:10:09 EDT
I don't think anything has changed wrt. this in the update, bundled zlib is still being compiled and ends up in -debuginfo.

http://koji.fedoraproject.org/koji/rpminfo?fileStart=550&rpmID=6784054&fileOrder=name&buildrootOrder=-id&buildrootStart=0#filelist
Comment 5 Fedora Update System 2015-09-21 14:52:30 EDT
derelict-3-33.20150730git10a517b.fc23, dustmite-1-25.20150515git3498068.fc23, gtkd-3.1.4-52.fc23, ldc-0.16.0.alpha3-76.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dustmite gtkd derelict ldc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16259
Comment 6 Fedora End Of Life 2016-07-19 07:34:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jan Kurik 2016-07-26 00:06:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 9 Ville Skyttä 2016-11-01 10:49:21 EDT
Seems so. BTW using "rm -r" without -f is a good way to prevent problems like this particular one from inadvertently resurfacing.
Comment 10 Kalev Lember 2016-11-01 10:58:21 EDT
Ahh, indeed. Feel free to fix that!
Comment 11 Kalev Lember 2016-11-01 11:11:27 EDT
Ehhh, looks like this broke libphobos2-ldc -- linking with it now fails with undefined zlib symbols. I'll go and revert this for now I guess. Probably just need to link the shared library with -lz to fix this.

/usr/lib/libphobos2-ldc.so: undefined reference to `deflateInit_'
/usr/lib/libphobos2-ldc.so: undefined reference to `deflateInit2_'
/usr/lib/libphobos2-ldc.so: undefined reference to `deflate'
/usr/lib/libphobos2-ldc.so: undefined reference to `compress2'
/usr/lib/libphobos2-ldc.so: undefined reference to `deflateEnd'
/usr/lib/libphobos2-ldc.so: undefined reference to `crc32'
/usr/lib/libphobos2-ldc.so: undefined reference to `inflate'
/usr/lib/libphobos2-ldc.so: undefined reference to `inflateInit2_'
/usr/lib/libphobos2-ldc.so: undefined reference to `inflateInit_'
/usr/lib/libphobos2-ldc.so: undefined reference to `inflateEnd'
/usr/lib/libphobos2-ldc.so: undefined reference to `inflateBackInit_'
/usr/lib/libphobos2-ldc.so: undefined reference to `adler32'
collect2: error: ld returned 1 exit status
Error: /usr/bin/cc failed with status: 1

https://kojipkgs.fedoraproject.org//work/tasks/1299/16271299/build.log